/*
 * osdobject.cpp
 *
 * Copyright (C) 2008 Christophe Thommeret <hftom@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#include "osdobject.h"



OsdObject::OsdObject( OsdConfig *conf )
{
	hasFocus = false;
	config = conf;
}



OsdObject::~OsdObject()
{
}



bool OsdObject::inMe( int x, int y )
{
	return rect.contains( x, y );
}



QSize OsdObject::size()
{
	return QSize( rect.width(), rect.height() );
}



void OsdObject::setSize( const QSize &s )
{
	rect.setWidth( s.width() );
	rect.setHeight( s.height() );
}



void OsdObject::setGeometry( const QRect &r )
{
	rect = r;
}



void OsdObject::setGeometry( int x, int y, int w, int h )
{
	rect.setX( x );
	rect.setY( y );
	rect.setWidth( w );
	rect.setHeight( h );
}
